Subject: bug#30039: 26.0.90; [26.1] Making my code warning free is impossible with when-let

From: Noam Postavsky <[email-masked]>
Date: Wed, 10 Jan 2018 14:11:47 -0500

On Tue, Jan 9, 2018 at 3:16 AM, Nicolas Petton <[email-masked]> wrote:

>> - un-deprecate when-let (and if-let) in Emacs 26 and re-deprecate it
>>   later.
>
> I'm facing the same issue, un-deprecating when-let would also make my CI
> happier.

How about adding a variable which suppresses deprecation warnings from
a specified version and up. Attached is a work-in-progress patch which
would allow you to set byte-compile-not-obsolete-since to "25.1" in
your CI script (or file-locally) and thus ignore deprecation warnings
from 26.1 or newer.

Alternatively, or additionally, we could let
`byte-compile-not-obsolete-funcs' apply to macros as well (currently
macroexp-macroexpand doesn't consult it).